Unit tqsh4e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSH4E_p, QSH4E_p;

function tqsh4e: String;

implementation

function tqsh4e: String;
var
_i,IERR :Integer;
RINT,E :Extended;
A :Array [0..3] of Extended;
B :Array [0..3] of Extended;
begin
Result := '';  {   }
A[0] := -1.e0;
B[0] := 2.e0;
A[1] := -1.e0;
B[1] := 2.e0;
A[2] := -1.e0;
B[2] := 2.e0;
A[3] := -1.e0;
B[3] := 2.e0;
E := 0.005e0;
QSH4E(RINT,A,B,FQSH4E,E,IERR);
Result := Result + Format(' %20.16f ',[RINT]) + #$0D#$0A;
RINT := RINT*16.e0/81.e0;
Result := Result + Format('  %5d ',[IERR]) + #$0D#$0A;
Result := Result + Format(' %20.16f',[RINT]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f ',[E]) + #$0D#$0A;
UtRes('tqsh4e',Result);  {     tqsh4e.res }
exit;
end;

end.
